Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/table/Excel2XMLWithoutAPIMacro2.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/table/Excel2XMLWithoutAPIMacro2.groovy	(revision 0)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/table/Excel2XMLWithoutAPIMacro2.groovy	(revision 3061)
@@ -0,0 +1,282 @@
+package org.txm.macro.table
+
+import org.kohsuke.args4j.*
+import groovy.transform.Field
+import java.nio.charset.Charset
+import org.txm.rcpapplication.swt.widget.parameters.*
+import org.txm.utils.*
+import javax.xml.stream.*
+import java.net.URL
+import java.text.SimpleDateFormat
+
+import org.apache.poi.ss.usermodel.*
+import org.apache.poi.hssf.usermodel.*
+import org.apache.poi.xssf.usermodel.*
+import org.apache.poi.ss.usermodel.WorkbookFactory
+import org.apache.poi.ss.util.*
+
+def stringToIndent = { str -> org.txm.utils.AsciiUtils.buildAttributeId(org.txm.utils.AsciiUtils.convertNonAscii(str)).toLowerCase() }
+
+// from http://www.java-connect.com/apache-poi-tutorials/read-all-type-of-excel-cell-value-as-string-using-poi
+def getCellValueAsString = { cell ->
+	strCellValue = null
+	if (cell != null) {
+		switch (cell.getCellType()) {
+			case CellType.STRING:
+				strCellValue = cell.toString()
+				break
+			case CellType.NUMERIC:
+				if (DateUtil.isCellDateFormatted(cell)) {
+					SimpleDateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy")
+					strCellValue = dateFormat.format(cell.getDateCellValue())
+				} else {
+					value = cell.getNumericCellValue()
+					longValue = value.longValue()
+					strCellValue = new String(longValue.toString())
+				}
+				break
+			case CellType.BOOLEAN:
+				strCellValue = new String(new Boolean(cell.getBooleanCellValue()).toString())
+				break
+			case CellType.BLANK:
+				strCellValue = ""
+				break
+		}
+	}
+	if (strCellValue == null) strCellValue = ""
+	return strCellValue
+}
+
+@Field @Option(name="inputFile", usage="fichier Excel à traiter", widget="File", required=true, def="")
+		File inputFile
+
+@Field @Option(name="sheetName", usage="sheet name (if no name is given the first sheet will be used)", widget="String", required=false, def="")
+		def sheetName
+
+@Field @Option(name="rootTag", usage="root tag name", widget="String", required=false, def="root")
+		def rootTag
+
+@Field @Option(name="textTag", usage="line unit tag name", widget="String", required=false, def="unit")
+		def textTag
+
+@Field @Option(name="metadataColumnList", usage="metadata columns list separated by comma", widget="String", required=false, def="meta1,meta2")
+		def metadataColumnList
+
+@Field @Option(name="dateColumnList", usage="date columns list separated by comma", widget="String", required=false, def="meta1,meta2")
+		def dateColumnList
+
+@Field @Option(name="textColumnList", usage="text columns list separated by comma", widget="String", required=false, def="textColumnList1,textColumnList2")
+		def textColumnList
+
+@Field @Option(name="EmbedInTEI", usage="text columns list separated by comma", widget="Boolean", required=false, def="false")
+		def EmbedInTEI
+
+if (!ParametersDialog.open(this)) return
+
+	if (!inputFile.exists()) {
+		println "** Excel2XML: no '"+inputFile.name+"' file found. Aborting."
+		return false
+	}
+
+if (!inputFile.canRead()) {
+	println "** Excel2XML: '"+inputFile.name+"' file not readable. Aborting."
+	return false
+}
+
+try {
+	
+	metadataColumnList = metadataColumnList.split(",").collect { it.trim() }
+	dateColumnList = dateColumnList.split(",").collect { it.trim() }
+	textColumnList = textColumnList.split(",").collect { it.trim() }
+	textTag = textTag.trim()
+	rootTag = rootTag.trim()
+	
+	wb = WorkbookFactory.create(inputFile)
+	
+	if (sheetName.length() == 0) {
+		ws = wb.getSheetAt(0)
+	} else {
+		ws = wb.getSheet(sheetName)
+		if (ws == null) {
+			println "** Excel2XML: no '"+sheetName+" found. Aborting."
+			return false
+		}
+	}
+	
+	if (ws == null) {
+		println "** Excel2XML: no sheet found. Aborting."
+		return false
+	}
+	
+	nRows = ws.getPhysicalNumberOfRows()
+	println nRows+" rows."
+	
+	firstRow = ws.getRow(0)
+	colMax = firstRow.getLastCellNum()
+	
+	headers = (0..colMax-1).collect { getCellValueAsString(firstRow.getCell(it)) }
+	
+	println "Headers: $headers"
+	
+	normalizedHeaders = headers.collect { stringToIndent(it) }
+	
+	ok = true
+	metadataColumnList.each { m ->
+		if (!headers.contains(m)) {
+			println "** Excel2XML: missing metadataColumnList column: $m"
+			ok = false
+		}
+	}
+	textColumnList.each { t ->
+		if (!headers.contains(t)) {
+			println "** Excel2XML: missing textColumnList column: $t"
+			ok = false
+		}
+	}
+	
+	if (!ok) { return false }
+	
+	metadataColumnIndex = metadataColumnList.collect { headers.indexOf(it) }
+	dateColumnsIndex = dateColumnList.collect { headers.indexOf(it) }
+	textColumnIndex = textColumnList.collect { headers.indexOf(it) }
+	
+	println "metadataColumnList = "+metadataColumnList
+	println "metadataColumnIndex = "+metadataColumnIndex
+	
+	println "dateColumnList = "+dateColumnList
+	println "dateColumnsIndex = "+dateColumnsIndex
+	
+	println "textColumnList = "+textColumnList
+	println "textColumnIndex = "+textColumnIndex
+	
+	name = inputFile.getName()
+	idx = name.lastIndexOf(".")
+	
+	if (idx > 0) name = name.substring(0, idx)
+	outputFile = new File(inputFile.getParentFile(), name+".xml")
+	
+	factory = XMLOutputFactory.newInstance()
+	output = new FileOutputStream(outputFile)
+	writer = factory.createXMLStreamWriter(output, "UTF-8")
+	
+	writer.writeStartDocument("UTF-8","1.0")
+	writer.writeCharacters("\n") // simple XML formating
+	
+	if (EmbedInTEI) {
+		writer.writeStartElement("TEI")
+		writer.writeStartElement("teiHeader")
+		writer.writeEndElement() // teiHeader
+		writer.writeStartElement("text")
+		writer.writeCharacters("\n")
+	}
+	
+	writer.writeStartElement(rootTag)
+	writer.writeCharacters("\n")
+	
+	pb_n = 1
+	
+	(1..nRows-1).each { rowIndex ->
+		
+		writer.writeCharacters("  ")
+		writer.writeEmptyElement("pb") // <pb/> to get one page per input line (don't forget high number of words per page in import module)
+		writer.writeAttribute("n", ""+pb_n++)
+		writer.writeCharacters("\n") // simple XML formating
+		
+		writer.writeCharacters("  ")
+		writer.writeStartElement(textTag)
+		metadataColumnIndex.each { colIndex -> // build an attribute for each metadata
+			def row = ws.getRow(rowIndex)
+			if (row != null) {
+				String s = getCellValueAsString(row.getCell(colIndex));
+				if (s == null) s ="";
+				value = s.replaceAll("\n", ";").trim()
+				writer.writeAttribute(normalizedHeaders[colIndex], value)
+				if (colIndex in dateColumnsIndex) { // also split date attributes in day+month+year attributes
+					matches = (value =~ /([0-9]{2})\/([0-9]{2})\/([0-9]{4})/)
+					writer.writeAttribute(normalizedHeaders[colIndex]+"jour", matches[0][1])
+					writer.writeAttribute(normalizedHeaders[colIndex]+"joursemaine", new java.text.SimpleDateFormat('EEEE').format(Date.parse("dd/MM/yyyy", value)))
+					writer.writeAttribute(normalizedHeaders[colIndex]+"mois", matches[0][2])
+					writer.writeAttribute(normalizedHeaders[colIndex]+"annee", matches[0][3])
+				}
+			}
+		}
+		writer.writeCharacters("\n")
+		
+		writer.writeCharacters("    ")
+		writer.writeStartElement("metadata")
+		writer.writeStartElement("list")
+		writer.writeAttribute("type", "unordered")
+		writer.writeCharacters("\n")
+		
+		metadataColumnIndex.each { colIndex ->
+			
+			def row = ws.getRow(rowIndex)
+			if (row != null) {
+				writer.writeStartElement("item")
+				writer.writeCharacters(headers[colIndex]+" : "+getCellValueAsString(row.getCell(colIndex)).replaceAll("\n", ";"))
+				writer.writeEndElement() // item
+				writer.writeCharacters("\n")
+			}
+		}
+		writer.writeCharacters("    ")
+		writer.writeEndElement() // list
+		writer.writeEndElement() // head
+		writer.writeCharacters("\n")
+		
+		textColumnIndex.each { colIndex ->
+			
+			writer.writeCharacters("    ")
+			writer.writeStartElement(normalizedHeaders[colIndex])
+			writer.writeStartElement("p")
+			writer.writeStartElement("head")
+			writer.writeStartElement("hi")
+			writer.writeCharacters(headers[colIndex]+" : ")
+			writer.writeEndElement() // hi
+			writer.writeEndElement() // head
+			def row = ws.getRow(rowIndex)
+			if (row != null) {
+				value = getCellValueAsString(row.getCell(colIndex))
+				
+				if (value ==~ /(?s)^[A-Z]{3}:  [^;\n]+? +[;\n].*/) {
+					value.findAll( /(?s)[A-Z]{3}:  ([^;\n]+?) +[;\n]/ ).each { desc ->
+						writer.writeStartElement("descripteur")
+						matches = (desc =~ /(?s)([A-Z]{3}):  ([^;\n]+?) +[;\n]/)
+						writer.writeAttribute("type", matches[0][1])
+						writer.writeCharacters(matches[0][2])
+						writer.writeEndElement() // descripteur
+					}
+				} else {
+					writer.writeCharacters(value)
+				}
+				writer.writeEndElement() // p
+				writer.writeEndElement() // textColumn
+				writer.writeCharacters("\n")
+			}
+		}
+		
+		writer.writeCharacters("  ")
+		writer.writeEndElement() // textTag
+		writer.writeCharacters("\n")
+	}
+	
+	writer.writeEndElement() // rootTag
+	writer.writeCharacters("\n")
+	if (EmbedInTEI) {
+		writer.writeEndElement() // text
+		writer.writeCharacters("\n")
+		writer.writeEndElement() // TEI
+		writer.writeCharacters("\n")
+	}
+	
+	writer.close()
+	output.close()
+	println "Result file: $outputFile"
+	
+} catch (Exception e) {
+	println "** Excel2XML: unable to read input file. Aborting."
+	println e.getLocalizedMessage()
+	println e.printStackTrace()
+	return false
+}
+
+return true
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/importer/XTZImporterMacro.groovy	(revision 3061)
@@ -106,7 +106,8 @@
 BaseParameters params = new BaseParameters(importFile);
 params.load()
 params.rootDir = srcDirectory.getAbsolutePath();
-TokenizerClasses.loadFromNode(params.getTokenizerElement(params.getCorpusElement()));
+TokenizerClasses tc = new TokenizerClasses();
+tc.loadFromNode(params.getTokenizerElement(params.getCorpusElement()));
 if (params == null) { println "no parameters. Aborting"; return; }
 
 String corpusname = params.getCorpusName();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/importer.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/importer.groovy	(revision 3061)
@@ -41,7 +41,7 @@
 import org.txm.scripts.filters.FusionHeader.*
 import org.txm.scripts.filters.TagSentences.*
 import org.txm.scripts.filters.Tokeniser.*
-
+import org.txm.tokenizer.TokenizerClasses
 /**
  * The Class importer.
  */
@@ -224,7 +224,7 @@
 			cpb.tick()
 			File tfile = new File(tokenizedDir, pfile.getName());
 
-			SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(pfile, tfile, lang);
+			SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(pfile, tfile, TokenizerClasses.newTokenizerClasses(project.getPreferencesScope(), lang));
 			tokenizer.setStartTag("text")
 			if (!tokenizer.process()) {
 				println("Failed to tokenize file "+pfile)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/importer.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/importer.groovy	(revision 3061)
@@ -51,7 +51,7 @@
 import org.txm.*;
 import org.txm.core.engines.*;
 import org.txm.utils.*;
-
+import org.txm.tokenizer.TokenizerClasses
 /**
  * The Class importer.
  */
@@ -111,7 +111,7 @@
 			String filename = pfile.getName().substring(0, pfile.getName().length()-4)
 			File tfile = new File(binDir, "tokenized/"+filename+".xml");
 			
-			SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(pfile, tfile, lang);
+			SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(pfile, tfile, TokenizerClasses.newTokenizerClasses(project.getPreferencesScope(), lang));
 			if (project.getAnnotate()) { // an annotation will be done, does the annotation engine needs another tokenizer ?
 				String engineName = project.getImportParameters().node("annotate").get("engine", "TreeTagger")
 				def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine(engineName)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 3061)
@@ -27,6 +27,7 @@
 import org.txm.utils.io.*
 import org.txm.importer.xtz.*
 import org.txm.core.engines.*
+import org.txm.tokenizer.TokenizerClasses
 
 class XTZImporter extends Importer {
 	
@@ -381,7 +382,7 @@
 				cpb.tick()
 				File infile = f;
 				File outfile = new File(module.getBinaryDirectory(),"tokenized/"+f.getName());
-				SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(infile, outfile, lang)
+				SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(infile, outfile, TokenizerClasses.newTokenizerClasses(project.getPreferencesScope(), lang))
 				if (module.getProject().getAnnotate()) { // an annotation will be done, does the annotation engine needs another tokenizer ?
 					String engineName = module.getProject().getImportParameters().node("annotate").get("engine", "TreeTagger")
 					def engine = Toolbox.getEngineManager(EngineType.ANNOTATION).getEngine(engineName)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/xtzLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/xtzLoader.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/xtzLoader.groovy	(revision 3061)
@@ -33,7 +33,6 @@
 import org.txm.metadatas.*
 import org.txm.objects.*
 import org.txm.importer.scripts.xmltxm.*
-import org.txm.tokenizer.TokenizerClasses
 import org.txm.utils.*
 import org.txm.utils.i18n.*
 import org.txm.importer.xtz.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 3061)
@@ -34,7 +34,6 @@
 import org.txm.scripts.importer.xml.compiler
 import org.txm.scripts.importer.xml.pager_old
 import org.txm.objects.*
-import org.txm.tokenizer.TokenizerClasses
 import org.txm.utils.*
 import org.txm.utils.io.*
 import org.txm.utils.xml.DomUtils
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 3061)
@@ -34,7 +34,6 @@
 import org.txm.scripts.importer.xml.importer;
 import org.txm.scripts.importer.xml.compiler;
 import org.txm.objects.*;
-import org.txm.tokenizer.TokenizerClasses;
 import org.txm.utils.*;
 import org.txm.utils.io.*;
 import org.txm.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/ProcessEnclitics/ProcessEnclitics.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/ProcessEnclitics/ProcessEnclitics.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/ProcessEnclitics/ProcessEnclitics.groovy	(revision 3061)
@@ -41,7 +41,7 @@
 	int counter;
 	
 	/** The enclitics. */
-	String enclitics = TokenizerClasses.enclitics;
+	String enclitics = new TokenizerClasses().enclitics;
 
 	/* (non-Javadoc)
 	 * @see org.txm.importer.filters.Filter#SetUsedParam(java.lang.Object)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/OneOpenTagPerLine/OneOpenTagPerLine.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/OneOpenTagPerLine/OneOpenTagPerLine.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/OneOpenTagPerLine/OneOpenTagPerLine.groovy	(revision 3061)
@@ -38,7 +38,7 @@
 class OneOpenTagPerLine extends Filter {
 	
 	/** The tag_all. */
-	String tag_all = TokenizerClasses.tag_all;
+	String tag_all = new TokenizerClasses().tag_all;
 	
 	/** The counterreg1. */
 	int counterreg1 = 0;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/TagSentences/TagSentences.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/TagSentences/TagSentences.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/TagSentences/TagSentences.groovy	(revision 3061)
@@ -87,19 +87,37 @@
 	def _after;
 	
 	/** The div_tags. */
-	def div_tags = TokenizerClasses.div_tags;
+	def div_tags;
 	
 	/** The q_tags. */
-	def q_tags = TokenizerClasses.q_tags;
+	def q_tags;
 	
 	/** The corr_tags_no_seg. */
-	def corr_tags_no_seg = TokenizerClasses.corr_tags_no_seg;
+	def corr_tags_no_seg;
 	
 	/** The corr_tags. */
-	def corr_tags = TokenizerClasses.corr_tags;
+	def corr_tags;
 	
-	def strongPunct = TokenizerClasses.punct_strong;
+	def strongPunct;
 	
+	public TagSentences() {
+		
+		TokenizerClasses tc = new TokenizerClasses()
+		/** The div_tags. */
+		div_tags = tc.div_tags;
+		
+		/** The q_tags. */
+		q_tags = tc.q_tags;
+		
+		/** The corr_tags_no_seg. */
+		corr_tags_no_seg = tc.corr_tags_no_seg;
+		
+		/** The corr_tags. */
+		corr_tags = tc.corr_tags;
+		
+		strongPunct = tc.punct_strong;
+	}
+	
 	/* (non-Javadoc)
 	 * @see org.txm.importer.filters.Filter#SetUsedParam(java.lang.Object)
 	 */
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/TagSentences/TagSentencesXml.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/TagSentences/TagSentencesXml.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/TagSentences/TagSentencesXml.groovy	(revision 3061)
@@ -109,7 +109,7 @@
 	String rendMulti = "MULTI_S";
 	boolean multi = false;
 	boolean startProcess = false;
-	String strongPunct = TokenizerClasses.punct_strong;
+	String strongPunct = new TokenizerClasses().punct_strong;
 
 	/** The localname. */
 	String localname;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/ReunitBrokenWords/ReunitBrokenWords.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/ReunitBrokenWords/ReunitBrokenWords.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/ReunitBrokenWords/ReunitBrokenWords.groovy	(revision 3061)
@@ -38,28 +38,28 @@
 {
 	
 	/** The tag_all. */
-	def tag_all = TokenizerClasses.tag_all;
+	def tag_all;
 	
 	/** The div_tags. */
-	def div_tags = TokenizerClasses.div_tags;
+	def div_tags;
 	
 	/** The q_tags. */
-	def q_tags = TokenizerClasses.q_tags;
+	def q_tags ;
 	
 	/** The extraword_tags. */
-	def extraword_tags = TokenizerClasses.extraword_tags;
+	def extraword_tags;
 	
 	/** The corr_tags_no_seg. */
-	def corr_tags_no_seg = TokenizerClasses.corr_tags_no_seg;
+	def corr_tags_no_seg;
 	
 	/** The corr_tags. */
-	def corr_tags = TokenizerClasses.corr_tags;
+	def corr_tags;
 	
 	/** The word_tags. */
-	def word_tags = TokenizerClasses.word_tags;
+	def word_tags;
 	
 	/** The intraword_tags. */
-	def intraword_tags = TokenizerClasses.intraword_tags;
+	def intraword_tags;
 	
 	/** The tag. */
 	def tag;
@@ -79,6 +79,33 @@
 	/** The level. */
 	private String level = "extraword";
 	
+	public ReunitBrokenWords() {
+		TokenizerClasses tc = new TokenizerClasses()
+		/** The tag_all. */
+		tag_all = tc.tag_all;
+		
+		/** The div_tags. */
+		div_tags = tc.div_tags;
+		
+		/** The q_tags. */
+		q_tags = tc.q_tags;
+		
+		/** The extraword_tags. */
+		extraword_tags = tc.extraword_tags;
+		
+		/** The corr_tags_no_seg. */
+		corr_tags_no_seg = tc.corr_tags_no_seg;
+		
+		/** The corr_tags. */
+		corr_tags = tc.corr_tags;
+		
+		/** The word_tags. */
+		word_tags = tc.word_tags;
+		
+		/** The intraword_tags. */
+		intraword_tags = tc.intraword_tags;
+	}
+	
 	/* (non-Javadoc)
 	 * @see org.txm.importer.filters.Filter#SetUsedParam(java.lang.Object)
 	 */
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/OneTagPerLine/OneTagPerLine.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/OneTagPerLine/OneTagPerLine.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/OneTagPerLine/OneTagPerLine.groovy	(revision 3061)
@@ -39,7 +39,7 @@
 class OneTagPerLine extends Filter {
 	
 	/** The tag_all. */
-	String tag_all = TokenizerClasses.tag_all;
+	String tag_all = new TokenizerClasses().tag_all;
 	
 	/** The counterreg1. */
 	int counterreg1 = 0;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/FastSimpleTokenizerXml.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/FastSimpleTokenizerXml.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/FastSimpleTokenizerXml.groovy	(revision 3061)
@@ -57,19 +57,19 @@
 public class FastSimpleTokenizerXml {
 
 	/** The word_tags. */
-	String word_tags = TokenizerClasses.word_tags;
+	String word_tags;
 
 	/** The intraword_tags. */
-	String intraword_tags = TokenizerClasses.intraword_tags;
+	String intraword_tags
 
 	/** The punct_strong. */
-	def punct_strong = TokenizerClasses.punct_strong;
+	def punct_strong;
 
 	/** The punct_all. */
-	def punct_all = TokenizerClasses.punct_all;
+	def punct_all;
 
 	/** The word_chars. */
-	def word_chars = TokenizerClasses.word_chars;
+	def word_chars;
 	
 	def fclitics = null; // default behavior don't manage clitics
 	def pclitics = null; // default behavior don't manage clitics
@@ -129,34 +129,50 @@
 	public FastSimpleTokenizerXml(File infile, File outfile, String lang)
 	{
 		this.lang = lang;
+		TokenizerClasses tc = new TokenizerClasses(lang)
 		if (lang != null)
 		if (lang.startsWith("en")) {
-			fclitics = TokenizerClasses.FClitic_en
+			fclitics = tc.FClitic_en
 		} else if (lang.startsWith("fr")) {
-			fclitics = TokenizerClasses.FClitic_fr
-			pclitics = TokenizerClasses.PClitic_fr
+			fclitics = tc.FClitic_fr
+			pclitics = tc.PClitic_fr
 		} else if (lang.startsWith("gl")) {
-			fclitics = TokenizerClasses.FClitic_gl
+			fclitics = tc.FClitic_gl
 		} else if (lang.startsWith("it")) {
-			pclitics = TokenizerClasses.PClitic_it
+			pclitics = tc.PClitic_it
 		}
 		
+		/** The word_tags. */
+		word_tags = tc.word_tags;
+	
+		/** The intraword_tags. */
+		intraword_tags = tc.intraword_tags;
+	
+		/** The punct_strong. */
+		punct_strong = tc.punct_strong;
+	
+		/** The punct_all. */
+		punct_all = tc.punct_all;
+	
+		/** The word_chars. */
+		word_chars = tc.word_chars;
+		
 		this.outfile = outfile;
 		this.infile = infile;
 		this.filename = infile.getName();
 		int index = filename.lastIndexOf(".");
 		if (index > 0) filename = filename.substring(0, index);
 		
-		String strRegElision = TokenizerClasses.regElision;
-		String strRegPunct = TokenizerClasses.regPunct;
+		String strRegElision = tc.regElision;
+		String strRegPunct = tc.regPunct;
 		regElision = ~/\A(.*?)(\p{L}++$strRegElision)(.*)\Z/
 		reg3pts = ~/\A(.*)(\.\.\.)(.*)\Z/
 		regPunct = ~/\A(.*)($strRegPunct)(.*)\Z/
 		if (fclitics != null)
 			regFClitics = ~/(.+)($fclitics)/
-		whitespaces = ~TokenizerClasses.whitespaces;
+		whitespaces = ~tc.whitespaces;
 		
-		regSplitWhiteSpaces = Pattern.compile(TokenizerClasses.whitespaces);
+		regSplitWhiteSpaces = Pattern.compile(tc.whitespaces);
 		regLN = Pattern.compile("/\n/");
 		regCTRL = Pattern.compile("/\\p{C}/");
 		
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/Tokeniser.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/Tokeniser.groovy	(revision 3060)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/Tokeniser.groovy	(revision 3061)
@@ -42,6 +42,8 @@
 		int index = filename.lastIndexOf(".");
 		if(index > 0)
 			filename = filename.substring(0, index);
+			
+		tc = new TokenizerClasses()
 	}
 
 	static public int DEBUG = 0;
@@ -113,22 +115,9 @@
 
 	/** The tag_all. */
 	def tag_all = "<[^>]+>";
+	
+	TokenizerClasses tc;
 
-	/** The word_tags. */
-	def word_tags = TokenizerClasses.word_tags;
-
-	/** The intraword_tags. */
-	def intraword_tags = TokenizerClasses.intraword_tags;
-
-	/** The punct_strong. */
-	def punct_strong = TokenizerClasses.punct_strong;
-
-	/** The punct_all. */
-	def punct_all = TokenizerClasses.punct_all;
-
-	/** The word_chars. */
-	def word_chars = TokenizerClasses.word_chars;
-	def punct_quotes = TokenizerClasses.punct_quotes;
 	String filename;
 	int wordcount = 1;
 	/* (non-Javadoc)
@@ -137,11 +126,11 @@
 	void SetUsedParam(Object args)
 	{
 		try {
-			word_tags = args.get("word_tags");
-			intraword_tags = args.get("intraword_tags");
-			punct_strong = args.get("punct_strong");
-			punct_all = args.get("punct_all");
-			word_chars = args.get("word_chars");
+			tc.word_tags = args.get("word_tags");
+			tc.intraword_tags = args.get("intraword_tags");
+			tc.punct_strong = args.get("punct_strong");
+			tc.punct_all = args.get("punct_all");
+			tc.word_chars = args.get("word_chars");
 		} catch(Exception e) {
 			System.err.println(e)
 			System.err.println("tokenizer needs an \"args\" map with the following elements :\n word_tags, intraword_tags, punct_strong, " +
@@ -186,7 +175,7 @@
 				println " segment: "+segment+"\n linetype: "+linetype;
 
 			if (linetype == "word") {
-				if(	(m = segment =~ /\A\s*(.*?)<\/($word_tags)>(.*)\Z/) )
+				if(	(m = segment =~ /\A\s*(.*?)<\/(${tc.word_tags})>(.*)\Z/) )
 				{
 					segment = m[0][3];
 					linetype = "text";
@@ -335,7 +324,7 @@
 								segment = " ";
 							}
 						}
-						else if( (m = segment =~ /\A\s*<($word_tags)([^>]*)>(.*)\Z/)) {
+						else if( (m = segment =~ /\A\s*<(${tc.word_tags})([^>]*)>(.*)\Z/)) {
 							if(DEBUG-- > 0)
 								println("   tag word: 1w="+m[0][1]+" 2="+m[0][2]+" 3seg="+m[0][3]);
 							segment = m[0][3];
@@ -383,7 +372,7 @@
 							//push @numbers, $word;
 							//print "Number found: <w type=\"num\">$word</w>\n";
 						}
-						else if( (m = segment =~ /\A\s*($punct_all|[$punct_quotes])(.*)\Z/))
+						else if( (m = segment =~ /\A\s*(${tc.punct_all}|[${tc.punct_quotes}])(.*)\Z/))
 						{
 							if(DEBUG-- > 0)
 								println "   Punctuation marks: 1w="+m[0][1]+" 2seg="+m[0][2]
@@ -394,7 +383,7 @@
 							output.print("<w id=\"w_"+filename+"_$wordcount\" type=\"pon\">"+word+"</w>"+lineSeparator);
 							wordcount++;
 						}
-						else if( (m = segment =~ /\A\s*(($word_chars)*[{\(\[]($word_chars)+[\)\]}]($word_chars)+|($word_chars)+[{\(\[]($word_chars)+[\)\]}])(\s+|$punct_all)(.*?)\Z/))						{
+						else if( (m = segment =~ /\A\s*((${tc.word_chars})*[{\(\[](${tc.word_chars})+[\)\]}](${tc.word_chars})+|(${tc.word_chars})+[{\(\[](${tc.word_chars})+[\)\]}])(\s+|${tc.punct_all})(.*?)\Z/))						{
 							if(DEBUG-- > 0)
 								println "   Words with brackets: 1w="+m[0][1]+" 2="+m[0][2]+" 3="+m[0][3]+" 4="+m[0][4]+" 5="+m[0][5]+" 6="+m[0][6]+" 7seg="+m[0][7]+" 8seg="+m[0][8];
 							segment = m[0][7]+m[0][8];//"$7$8";
@@ -410,7 +399,7 @@
 							output.print("<w id=\"w_"+filename+"_$wordcount\">"+word+"</w>"+lineSeparator);
 							wordcount++;
 						}
-						else if( (m = segment =~ /\A\s*(((<[^>]+>)*($word_chars+)(<[^>]+>)*)+)(\s+|$punct_all)(.*?)\Z/))
+						else if( (m = segment =~ /\A\s*(((<[^>]+>)*(${tc.word_chars}+)(<[^>]+>)*)+)(\s+|${tc.punct_all})(.*?)\Z/))
 						{
 							segment = m[0][6]+m[0][7];//"$6$7";
 							word = m[0][1];
@@ -430,7 +419,7 @@
 							wordcount++;
 							output.print(towrite);
 						}
-						else if( (m = segment =~ /\A\s*(((<[^>]+>)*($word_chars)+(<[^>]+>)*)+)[$punct_quotes](.*?)\Z/))
+						else if( (m = segment =~ /\A\s*(((<[^>]+>)*(${tc.word_chars})+(<[^>]+>)*)+)[${tc.punct_quotes}](.*?)\Z/))
 						{
 							if(DEBUG-- > 0)
 								println "   Other word patterns with elision: 1w="+m[0][1]+" 2="+m[0][2]+" 3="+m[0][3]+" 4="+m[0][4]+" 5="+m[0][5]+" 6seg="+m[0][6];
